Show / Hide Table of Contents

# Enum AlmostVersion.StoredAs

Represents a storage type of either parsed SemVer.Version object or raw String.

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public enum StoredAs

### Fields

Name | Description
--- | ---
SemVer | The version was stored as a SemVer.Version.
String | The version was stored as a String.

### Extension Methods

ReflectionUtil.SetField<AlmostVersion.StoredAs, U>(String, U)
ReflectionUtil.GetField<U, AlmostVersion.StoredAs>(String)
ReflectionUtil.SetProperty<AlmostVersion.StoredAs, U>(String, U)
ReflectionUtil.GetProperty<U, AlmostVersion.StoredAs>(String)
ReflectionUtil.InvokeMethod<U, AlmostVersion.StoredAs>(String, Object[])